Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## java.security
Enum KeyRep.Type

    java.lang.Object
      java.lang.Enum<KeyRep.Type>
          java.security.KeyRep.Type

All Implemented Interfaces:
  Serializable, Comparable<KeyRep.Type>

Enclosing class:
  KeyRep

    public static enum KeyRep.Type

extends Enum<KeyRep.Type>

Key type.

Since:
  1.5

Enum Constant Summary
`PRIVATE` Type for private keys.
`PUBLIC` Type for public keys.
`SECRET` Type for secret keys.

Method Summary
`static KeyRep.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static KeyRep.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SECRET

    public static final KeyRep.Type SECRET

  Type for secret keys.

### PUBLIC

    public static final KeyRep.Type PUBLIC

  Type for public keys.

### PRIVATE

    public static final KeyRep.Type PRIVATE

  Type for private keys.

Method Detail

### values

    public static final KeyRep.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(KeyRep.Type c : KeyRep.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static KeyRep.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.